For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • POSTSemantic Search
      • POSTTabular Data Analysis
      • POSTDatabase Query
      • POSTWeb Fetch
      • POSTWeb Search
LogoLogo
Contact usJoin the Discord
API ReferenceTools

Tabular Data Analysis

POST
https://host.com/v1/tools/tabular-data-analysis
POST
/v1/tools/tabular-data-analysis
$curl -X POST https://host.com/v1/tools/tabular-data-analysis \
> -H "Content-Type: application/json" \
> -d '{
> "query": "query",
> "context_filter": {}
>}'
1{
2 "content": [],
3 "is_error": false
4}
Analyze structured tabular data using a natural language query.
Was this page helpful?
Previous

Database Query

Next
Built with

Request

This endpoint expects an object.
querystringRequired
The analysis question or prompt related to tabular data.
context_filterobjectRequired
Filters to select specific context from ingested documents.

Response

This endpoint returns an object.
contentlist of objects
List of content blocks generated by the tool. Blocks can include plain text, citations, source attributions, or images.
is_errorboolean
True if the tool encountered an error during execution.

Errors

401
Unauthorized
422
Unprocessable Entity